Skip to main content
`Ctrl`+`K`

# TSTrajectorySetMaxCpsDisk

Set maximum number of checkpoints on disk

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetMaxCpsDisk(TSTrajectory tj, PetscInt max_cps_disk)

Logically Collective

## Input Parameter

- tj - tstrajectory context

## Output Parameter

- max_cps_disk - maximum number of checkpoints on disk

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectorySetMaxUnitsDisk()`, `TSTrajectorySetMaxUnitsRAM()`

## Level

intermediate

## Location

src/ts/trajectory/impls/memory/trajmemory.c

## Implementations

TSTrajectorySetMaxCpsDisk_Memory() in src/ts/trajectory/impls/memory/trajmemory.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages